"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Drug(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.variant.avro.Drug": opencb_1_3_0.Drug,
        }

    __slots__ = [
        "association",
        "bibliography",
        "effect",
        "evidence",
        "pathway",
        "status",
        "therapeuticContext",
    ]

    def __init__(
        self,
        association=None,
        bibliography=None,
        effect=None,
        evidence=None,
        pathway=None,
        status=None,
        therapeuticContext=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.Drug model.

        :param association:
        :type association: None | str
        :param bibliography:
        :type bibliography: None | list[str]
        :param effect:
        :type effect: None | str
        :param evidence:
        :type evidence: None | str
        :param pathway:
        :type pathway: None | str
        :param status:
        :type status: None | str
        :param therapeuticContext:
        :type therapeuticContext: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
